---
###############################################
#
#  Configuration file for CSST simulation
#  For single exposure type:
#                SCI-WIDE
#  CSST-Sim Group, 2024/01/08
#
###############################################

# Observation type
obs_type: "SCI"
obs_type_code: "101"
obs_id: "00000001" # this setting will only be used if pointing list file is not given

# Define list of chips
# run_chips: [6,7,8,9,11,12,13,14,15,16,17,18,19,20,22,23,24,25]
#run_chips: [1,2,3,4,5,10,21,26,27,28,29,30]
run_chips: [9]

# Define observation sequence
call_sequence:
  # Accumulate fluxes from objects
  scie_obs:
    # [Optional]: exposure time of the pointing will be used as default.
    # Set it here is you want to override the default
    # exptime: 150. # [s] 
    shutter_effect: YES
    flat_fielding: YES
    field_dist: YES
  # Accumulate fluxes from sky background
  sky_background:
    # [Optional]: exposure time of the pointing will be used as default.
    # Set it here is you want to override the default
    # exptime: 150. # [s]
    shutter_effect: YES
    flat_fielding: YES
    enable_straylight_model: YES
    # flat_level: set the total skybackground value (e-) in the exptime,if none,set null, or delete the key
    # flat_level_filt: the vale of "flat_level" is in the filter "flat_level_filt", can set NUV, u, g, r, i, z, y, if 
    # none,set null,or delete the key
    flat_level: null
    flat_level_filt: null
  # Apply PRNU to accumulated photons
  PRNU_effect: {}
  # Accumulate photons caused by cosmic rays
  cosmic_rays: 
    # [Optional]: exposure time of the pointing will be used as default.
    # Set it here is you want to override the default
    # exptime: 150. # [s]
    save_cosmic_img:  YES # # Whether to export cosmic ray image
  # Add Poission noise and dark current
  poisson_and_dark:
    # [Optional]: exposure time of the pointing will be used as default.
    # Set it here is you want to override the default
    # exptime: 150. # [s]
    add_dark: YES
  # Simulate brighter fatter effects
  bright_fatter: {}
  # Add detector defects: hot/warm pixels, bad columns
  detector_defects:
    hot_pixels: YES
    dead_pixels: YES
    bad_columns: YES
  # Apply response nonlinearity
  nonlinearity: {}
  # Apply CCD Saturation & Blooming
  blooming: {}
  # Run CTE simulation
  # CTE_effect: {}
  # Add prescan and overscan
  prescan_overscan:
    add_dark: YES
  # Add bias
  bias:
    bias_16channel: YES
  # Add readout noise
  readout_noise: {}
  # Apply gain
  gain:
    gain_16channel: YES
  # Output the final image
  quantization_and_output:
    format_output: YES
...
